<template>
  <div class="posterbg" :class="{overflowhidden:hidden}">
      <div class="hide" ref="postbg" :style="{backgroundImage:`url(${posterbg})`}">
          <div class="t1">你已成为第 <span class="t2">{{count}}</span> 位大象守护者<br/>不要在旅行中购买象牙制品。<br/>别让凶手的赃物，成为违法的证物。</div>
          <img class="qrcode" src="../assets/images/qrcode.png" alt="">
          <div class="t3">分享让更多人成为大象守护者</div>
      </div>
      <div class="show" :style="{backgroundImage:`url(${showPoster})`}">
          <div v-show="posterbg" class="t1" :style="{'marginTop':marginTop}">你已成为第 <DigitRoll class="t2" :flipStra = "true" v-if="count" :rollDigits="count" /> 位大象守护者<p style="margin-top:-0.12rem">不要在旅行中购买象牙制品。</p> 别让凶手的赃物，成为违法的证物。</div>
          <!-- <img v-show="posterbg" class="qrcode" src="../assets/images/qrcode.png" alt=""> -->
          <div class="line"></div>
          <div v-show="posterbg" class="t4 ">长按保存，晒出你的“新身份”</div>
          <div id="tt3" v-show="posterbg" class="t3 blink">分享让更多人成为大象守护者</div>
          <img v-if="postURL" class="postURL" :src="postURL" alt="">
      </div>
  </div>
</template>

<script>
import html2canvas from 'html2canvas'
import MtaH5 from 'mta-h5-analysis';
 import DigitRoll from '@huoyu/vue-digitroll';

export default {
  components: { DigitRoll },
  props: {},
  data() {
    return {
        posterbg: require('../assets/images/postbg1.jpg'),
        showPoster:require('../assets/images/postbgmin.jpg'),
        imgCount:0,
        postURL:'',
        count:'',
        hidden:true,
        showC:false,
        marginTop:'8.65rem'
    };
  },
  created() {
      //   iphoneX 724 大屏手机禁止滚动 安卓手机滚动
      var isIphone = true
        var ua = navigator.userAgent.toLowerCase();
        //系统判断
        if(ua.match(/iPhone/i)=="iphone") {//iphone
            isIphone = true
        }else if(ua.match(/Android/i)=="android"){//android
            isIphone = false
        }
        console.log('w:'+ document.body.offsetWidth + 'h:' + document.body.offsetHeight)
       
        // require('../assets/images/postbgmin.jpg')
    //   if(document.body.offsetHeight >= 724 && isIphone){
    //       console.log("daping")
    //       this.hidden = false
    //   }
  },
  mounted() {
        let width = document.body.offsetWidth
        let height =  document.body.offsetHeight
        //725 小0.67 0.56 0.53 0.626s  0.549
        console.log(width/height)
        //大 0.51  0.522 

        if(width/height <= 0.54){
            this.showPoster = require('../assets/images/postbg1.jpg')
            this.marginTop = '10.7rem'
            this.hidden = true 
        }else{
            this.showPoster = require('../assets/images/postbgmin.jpg')
            this.marginTop = '8.65rem'
            this.hidden = true 
            if(height <= (document.getElementById('tt3').offsetTop + 20)){
                //要滚动的
                this.hidden = false 
            }
        }


        // if(height >= 752){
        //     this.showPoster = require('../assets/images/postbg1.jpg')
        //     this.marginTop = '10.7rem'
        //     this.hidden = true 
        // }else if(height < 752){

        //     if(height <= (document.getElementById('tt3').offsetTop + 20)){
        //         console.log("s")
        //         //要滚动的
        //         this.showPoster = require('../assets/images/postbg1.jpg')
        //         this.marginTop = '10.7rem'
        //         this.hidden = false 
        //     }else{
        //          console.log("h")
        //         this.showPoster = require('../assets/images/postbgmin.jpg')
        //         this.marginTop = '8.65rem'
        //         this.hidden = true 
        //     }
        // }
        // else if(height < 752){
        //     //360 690
        //     //400 752
        // }
      this.count = (3470000 + this.$route.params.number) || 3470000
    $.ajax({
        type:'POST',
        url:'https://wwf.uglobal.com.cn/sendaction.php',
        dataType:"json",
        data:{
            'url': 'https://wwf.uglobal.com.cn/law',
            'action_type': 'COMPLETE_ORDER',
            'click_id': this.$root.click_id
        },
        complete: ( res ) =>{
            // console.log(res)
        }
    })
      
       MtaH5.pgv();
       gtag('config', 'UA-151682819-4', {'page_title': 'wwflaw_pv5'}); 

      let imgs = [
        require("../assets/images/postbg1.jpg")]
        this.$dialog.loading.open('正在为您生成海报');
        for (let img of imgs) {
            let image = new Image()
            image.src = img
            image.onload = () => {
            this.imgCount++
            // 计算图片加载的百分数，绑定到percent变量
            if(this.imgCount == 1){
                setTimeout(()=>{
                    html2canvas(this.$refs.postbg, {
                        useCORS: true,
                        logging:true,
                    }).then((canvas) => {
                        this.showC = true
                        this.postURL = canvas.toDataURL("image/png").replace("image/png", "image/octet-stream");  // 获取生成的图片的url
                        // console.log(this.postURL)
                        this.$dialog.loading.close();
                    }) 
                },1000)
            }
            }
            
        }
  },
  methods: {},
  watch: {},
  computed: {},
};
</script>
<style scoped lang="scss">
.overflowhidden{
    overflow: hidden!important;
}
.posterbg{
    width: 100%;
    height: 100%;
    overflow-x: hidden;
    overflow-y: scroll;
    .hide{
        width: 750px;
        height: 1500px;
        background-size: 100% 100%;
        position: absolute;
        top: 0;
        left: 100vw;
        display: flex;
        flex-direction: column;
        align-items: center;
        -webkit-user-select:none;user-select:none;/*用户是否能够选中文本*/-webkit-touch-callout:none;
         
        .t1{
            font-family: "宋体";
            font-size: 34px;
            color: #ffffff;
            font-weight: 700;
            margin-top: 1020px;
            line-height: 60px;
            text-align: center;
            letter-spacing: 2px;
            -webkit-user-select:none;user-select:none;/*用户是否能够选中文本*/-webkit-touch-callout:none;
            .t2{
                color: #4fc5df;
                font-size: 50px;
                -webkit-user-select:none;user-select:none;/*用户是否能够选中文本*/-webkit-touch-callout:none;
            }
        }
        .qrcode{
            width: 170px;
            height: 170px;
            margin: 25px auto;
            -webkit-user-select:none;user-select:none;/*用户是否能够选中文本*/-webkit-touch-callout:none;

        }
        .t3{
            font-family: "宋体";
            font-size: 24px;
            color: #ffffff;
            margin-top: 15px;
            -webkit-user-select:none;user-select:none;/*用户是否能够选中文本*/-webkit-touch-callout:none;
        }
     
        
    }
    .show{
        width: 7.5rem;
        height: 15rem;
        background-size: 100% 100%;
        position: relative;
        display: flex;
        flex-direction: column;
        align-items: center;
        -webkit-user-select:none;user-select:none;/*用户是否能够选中文本*/-webkit-touch-callout:none;
         .postURL{
            // width: 7.5rem;
            // height: 15rem;
            width: 100%;
            position: absolute;
            z-index: 9999;
            top: 0;
            left: 0;
            opacity: 0;
            -webkit-user-select:none;user-select:none;/*用户是否能够选中文本*/-webkit-touch-callout:none;
        }
        .t1{
            font-family: "宋体";
            font-size: 0.3rem;
            color: #ffffff;
            font-weight: 700;
            // margin-top: 10.7rem;
            margin-top: 8.65rem;
            line-height: 0.5rem;
            text-align: center;
            letter-spacing: 2px;
            -webkit-user-select:none;user-select:none;/*用户是否能够选中文本*/-webkit-touch-callout:none;
            .t2{
                color: #4fc5df;
                font-size: 0.5rem;
                display: inline-flex;
                width: auto!important;
                margin: 0!important;
                -webkit-user-select:none;user-select:none;/*用户是否能够选中文本*/-webkit-touch-callout:none;
            }
        }
        .line{
            width: 5.8rem;
            height: 1px;
            background: #ffffff;
            // margin: 0.48rem auto;
            margin: 0.35rem auto;
            -webkit-user-select:none;user-select:none;/*用户是否能够选中文本*/-webkit-touch-callout:none;
        }
        .qrcode{
            width: 1.70rem;
            height: 1.70rem;
            margin: 0.2rem auto;
            -webkit-user-select:none;user-select:none;/*用户是否能够选中文本*/-webkit-touch-callout:none;
        }
        .t3{
            font-family: "宋体";
            font-size: 0.24rem;
            color: #ffffff;
            -webkit-user-select:none;user-select:none;/*用户是否能够选中文本*/-webkit-touch-callout:none;
        }
        .t4{
            font-family: "宋体";
            font-size: 0.24rem;
            transform: scale(0.95);
            color: #4fc5e0;
            font-weight: 800;
            -webkit-user-select:none;user-select:none;/*用户是否能够选中文本*/-webkit-touch-callout:none;
            
        }
        
    }
}
</style>